--  Ada2WSDL.Options - Debian-specific file
--  Copyright (c) 2004, 2006 Ludovic Brenta <lbrenta@debian.org>
--  Copyright (c) 2013       Nicolas Boulenguez <nicolas@debian.org>
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 2 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  The upstream makefile normally generates this file before
--  compiling the AWS tools.  The generated file does however not
--  contain the options appropriate for Debian.  This file contains
--  Debian-specific options.

with Ada2WSDL.Parser;
package body Ada2WSDL.Options is
   procedure Set_Default is
      Adainclude_Path : constant String := "@ADAINCLUDE_PATH@";
      Adalib_Path     : constant String := "@ADALIB_PATH@";
   begin
      Parser.Add_Option ("-aI" & Adainclude_Path & "/xmlada");
      Parser.Add_Option ("-aO" & Adalib_Path     & "/xmlada");
      Parser.Add_Option ("-aI" & Adainclude_Path & "/aws");
      Parser.Add_Option ("-aO" & Adalib_Path     & "/aws");
   end Set_Default;
end Ada2WSDL.Options;
